﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="SQL Server Management Studio" Publisher="Microsoft" Version="" ReleaseDate="">
		<UserCategories>
			<Category>Pre-Approved</Category>
		</UserCategories>
		<SoftwareCategories>
			<Category>Pre-Approved</Category>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Microsoft\SQL Server Management Studio\archive\{SoftwareVersion}\*\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.EXE" Uninstall</UninstallCommand>
		<InstallCommand>"Deploy-Application.EXE" Install</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'.Trim()
$DisplayVersion = '{DetectionVersion}'.Trim()
$Architecture = '{Architecture}'
$DetectionRegPath = 'HKLM:\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {
    $RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Microsoft\SQL Server Management Studio\archive\{SoftwareVersion}\*\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductVersion"/>
			<DetectionNameLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Microsoft\SQL Server Management Studio\archive\{SoftwareVersion}\*\win_{Architecture}\Files\*.exe" TargetItemType="EXE" TargetItemProperty="ProductName"/>
		</Custom>
	</DeploymentType>
</Application>